package com.chesire.nekome.core.compose.theme

import androidx.compose.material3.darkColorScheme
import androidx.compose.material3.lightColorScheme
import androidx.compose.ui.graphics.Color

val DarkColorPalette = darkColorScheme(
    primary = Color(0xFF65d3ff),
    onPrimary = Color(0xFF003546),
    primaryContainer = Color(0xFF004d64),
    onPrimaryContainer = Color(0xFFbde9ff),
    secondary = Color(0xFF99cbff),
    onSecondary = Color(0xFF003355),
    secondaryContainer = Color(0xFF004a78),
    onSecondaryContainer = Color(0xFFcfe5ff),
    tertiary = Color(0xFFc6c2ea),
    onTertiary = Color(0xFF2e2d4d),
    tertiaryContainer = Color(0xFF454364),
    onTertiaryContainer = Color(0xFFe3dfff),
    error = Color(0xFFffb4ab),
    onError = Color(0xFF690005),
    errorContainer = Color(0xFF93000a),
    onErrorContainer = Color(0xFFffdad6),
    background = Color(0xFF191c1e),
    onBackground = Color(0xFFe1e2e4),
    surface = Color(0xFF191c1e),
    onSurface = Color(0xFFe1e2e4),
    outline = Color(0xFF8a9297),
    surfaceVariant = Color(0xFF40484c),
    onSurfaceVariant = Color(0xFFc0c8cd)
)

val LightColorPalette = lightColorScheme(
    primary = Color(0xFF006783),
    onPrimary = Color(0xFFffffff),
    primaryContainer = Color(0xFFbde9ff),
    onPrimaryContainer = Color(0xFF001f2a),
    secondary = Color(0xFF00629d),
    onSecondary = Color(0xFFffffff),
    secondaryContainer = Color(0xFFcfe5ff),
    onSecondaryContainer = Color(0xFF001d34),
    tertiary = Color(0xFF5d5b7d),
    onTertiary = Color(0xFFffffff),
    tertiaryContainer = Color(0xFFe3dfff),
    onTertiaryContainer = Color(0xFF191836),
    error = Color(0xFFba1a1a),
    onError = Color(0xFFffffff),
    errorContainer = Color(0xFFffdad6),
    onErrorContainer = Color(0xFF410002),
    background = Color(0xFFfbfcfe),
    onBackground = Color(0xFF191c1e),
    surface = Color(0xFFfbfcfe),
    onSurface = Color(0xFF191c1e),
    outline = Color(0xFF70787d),
    surfaceVariant = Color(0xFFdce4e9),
    onSurfaceVariant = Color(0xFF40484c)
)
